unit Unit2;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, Data.DB,
  VCLTee.TeEngine, VCLTee.TeeURL, VCLTee.TeeSeriesTextEd, VCLTee.TeeSurfa,
  VCLTee.TeePoin3, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, VCLTee.DBChart,
  Vcl.StdCtrls,VCLTee.TeeTools, Vcl.Buttons, math;

type
  TForm2 = class(TForm)
    DBChart1: TDBChart;
    Series1: TPoint3DSeries;
    SeriesTextSource1: TSeriesTextSource;
    TeeGDIPlus1: TTeeGDIPlus;
    LoadData: TButton;
    ChartTool1: TRotateTool;
    Panel1: TPanel;
    SetScale: TSpeedButton;
    procedure LoadDataClick(Sender: TObject);
    procedure SetScaleClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.LoadDataClick(Sender: TObject);
begin
  With SeriesTextSource1 do
  begin
    FileName := 'C:\Code_Test_Progs\Well_3D\Well_Devi_AT-203_Rel.txt';
//    FileName := 'Well_Devi_AT-203_Rel.txt';
    FieldSeparator:=',';
    Fields.Clear;
    AddField('X',2);
    AddField('Y',4);
    AddField('Z',3);
//    AddField('Lbl',0);
    Load;
  end;
//  Series1.Marks.Text := SeriesTextSource1.Fields.Items[0].ToString;
 end;



procedure TForm2.SetScaleClick(Sender: TObject);
var
  EMin,EMax,NMin,NMax,LMin,LMax: double;
// this togles between automatic and equal scaling on the horizonatal axes.

begin
  SetScale.AllowAllUp := True;
  SetScale.GroupIndex := 1;
  if not SetScale.Down then
  begin
    with DBChart1 do
    begin
      EMin := BottomAxis.Minimum;
      EMax := BottomAxis.Maximum;
      NMin := DepthAxis.Minimum;
      NMax := DepthAxis.Maximum;
      LMin := Min(EMin,NMin);
      LMax := Max(EMax,NMax);
      BottomAxis.SetMinMax(EMin,EMin + LMax - LMin);
      DepthAxis.SetMinMax(NMin,NMin + LMax - LMin);
      Refresh;
    end;
  end
  else
  begin
    with DBChart1 do
    begin
      BottomAxis.Automatic := True;
      BottomAxis.AutomaticMinimum := True;
      BottomAxis.AutomaticMaximum := True;
      DepthAxis.Automatic := True;
      DepthAxis.AutomaticMinimum := True;
      DepthAxis.AutomaticMaximum := True;
    end;
  end;
end;


end.
