unit frmWell3D;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, Data.DB,
  VCLTee.TeEngine, VCLTee.TeeURL, VCLTee.TeeSeriesTextEd, VCLTee.TeeSurfa,
  VCLTee.TeePoin3, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, VCLTee.DBChart,
  Vcl.StdCtrls,VCLTee.TeeTools, Vcl.Buttons, math, frmTimer;

type
  TForm2 = class(TForm)
    DBChart1: TDBChart;
    Series1: TPoint3DSeries;
    SeriesTextSource1: TSeriesTextSource;
    TeeGDIPlus1: TTeeGDIPlus;
    LoadData: TButton;
    ChartTool1: TRotateTool;
    Panel1: TPanel;
    SetScale: TSpeedButton;
    SeriesTextSource2: TSeriesTextSource;
    SeriesTextSource3: TSeriesTextSource;
    Series2: TPoint3DSeries;
    Series3: TPoint3DSeries;
    SeriesTextSource4: TSeriesTextSource;
    SeriesTextSource5: TSeriesTextSource;
    procedure LoadDataClick(Sender: TObject);
    procedure SetScaleClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ChartTool1Rotate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.FormShow(Sender: TObject);
var
  i: Integer;

begin
  LoadData.Visible := False;
//  LoadDataClick(sender);
  ChartTool1.OnRotate := ChartTool1Rotate;
//  for i := 0 to Series1.Count do
//  begin
//    Series1.Marks.Text :=
//      FloatToStr(Round(StrToFloat(Series1.Marks.Text)));
//  end;
end;

procedure Tform2.ChartTool1Rotate(Sender: TObject);
var
  LFormTimer: TFormTimer;
begin
//
end;

procedure TForm2.LoadDataClick(Sender: TObject);
begin
  With SeriesTextSource1 do
  begin
    FileName := 'C:\Code_Test_Progs\Well_3D\Well_Devi_AT-203_Rel.txt';
    FieldSeparator:=',';
    Fields.Clear;
    AddField('Text',1);
    AddField('X',2);
    AddField('Y',4);
    AddField('Z',3);
    Load;
  end;
  Series1.DataSource := SeriesTextSource2;

  With SeriesTextSource2 do
  begin
    FileName := 'C:\Code_Test_Progs\Well_3D\Well_Devi_AT-203_CasingShoe.txt';
    FieldSeparator:=',';
    Fields.Clear;
    AddField('X',2);
    AddField('Y',4);
    AddField('Z',3);
    Load;
  end;
  Series2.DataSource := SeriesTextSource2;

  With SeriesTextSource3 do
  begin
    FileName := 'C:\Code_Test_Progs\Well_3D\Well_Devi_AT-203_MajorFeed.txt';
    FieldSeparator:=',';
    Fields.Clear;
    AddField('X',2);
    AddField('Y',4);
    AddField('Z',3);
    Load;
  end;
  Series3.DataSource := SeriesTextSource3;
 end;



procedure TForm2.SetScaleClick(Sender: TObject);
var
  EMin,EMax,NMin,NMax,LMin,LMax: double;
// this togles between automatic and equal scaling on the horizontal axes.

begin
  SetScale.AllowAllUp := True;
  SetScale.GroupIndex := 1;
  if not SetScale.Down then
  begin
    with DBChart1 do
    begin
      EMin := BottomAxis.Minimum;
      EMax := BottomAxis.Maximum;
      NMin := DepthAxis.Minimum;
      NMax := DepthAxis.Maximum;
      LMin := Min(EMin,NMin);
      LMax := Max(EMax,NMax);
      BottomAxis.SetMinMax(EMin,EMin + LMax - LMin);
      DepthAxis.SetMinMax(NMin,NMin + LMax - LMin);
      Refresh;
    end;
  end
  else
  begin
    with DBChart1 do
    begin
      BottomAxis.Automatic := True;
      BottomAxis.AutomaticMinimum := True;
      BottomAxis.AutomaticMaximum := True;
      DepthAxis.Automatic := True;
      DepthAxis.AutomaticMinimum := True;
      DepthAxis.AutomaticMaximum := True;
    end;
  end;
end;


end.
